/************************************************************************/
/* @\F FIFO_~[W[                                          */
/*                                                                      */
/* TvF FIFO_~[W[ł                                      */
/*        ^[QbgfoCXɂ킹Đ݌vĂ                  */
/*                                                                      */
/*                                                                  */
/*                                                                      */
/*                                                                      */
/* ύXF                                                           */
/*  +------------------ ԍ (000 ` 999)                           */
/*  |    +------------- VKAύXAǉA폜̕                    */
/*  v    v                                                              */
/*  No     N                                               */
/* ----+------+----------+--------------------------------------------- */
/*  000 VK   10/04/26                                                 */
/*                                                                      */
/************************************************************************/
module fifo(
	din,
	rd_clk,
	rd_en,
	rst,
	wr_clk,
	wr_en,
	dout,
	empty,
	full);


input [35 : 0] din;
input rd_clk;
input rd_en;
input rst;
input wr_clk;
input wr_en;
output [35 : 0] dout;
output empty;
output full;


fifo_1k_36 fifo_1k_36 (
  .rst(rst), // input rst
  .wr_clk(wr_clk), // input wr_clk
  .rd_clk(rd_clk), // input rd_clk
  .din(din), // input [35 : 0] din
  .wr_en(wr_en), // input wr_en
  .rd_en(rd_en), // input rd_en
  .dout(dout), // output [35 : 0] dout
  .full(full), // output full
  .empty(empty) // output empty
);

endmodule

